"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BadRequestError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class BadRequestError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `BAD_REQUEST`,
            statusCode: 400,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Bad Request`;
        }
        super(message, options);
    }
}
exports.BadRequestError = BadRequestError;
//# sourceMappingURL=400-bad-request.js.map