"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MethodNotAllowedError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class MethodNotAllowedError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `METHOD_NOT_ALLOWED`,
            statusCode: 405,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Method Not Allowed`;
        }
        super(message, options);
    }
}
exports.MethodNotAllowedError = MethodNotAllowedError;
//# sourceMappingURL=405-method-not-allowed.js.map