"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestEntityTooLargeError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class RequestEntityTooLargeError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `REQUEST_ENTITY_TOO_LARGE`,
            statusCode: 413,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `REQUEST_ENTITY_TOO_LARGE`;
        }
        super(message, options);
    }
}
exports.RequestEntityTooLargeError = RequestEntityTooLargeError;
//# sourceMappingURL=413-request-entity-too-large.js.map