"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnhanceYourCalmError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class EnhanceYourCalmError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `ENHANCE_YOUR_CALM`,
            statusCode: 420,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Enhance Your Calm`;
        }
        super(message, options);
    }
}
exports.EnhanceYourCalmError = EnhanceYourCalmError;
//# sourceMappingURL=420-enhance-your-calm.js.map