"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnprocessableEntityError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class UnprocessableEntityError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `UNPROCESSABLE_ENTITY`,
            statusCode: 422,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Unprocessable Entity`;
        }
        super(message, options);
    }
}
exports.UnprocessableEntityError = UnprocessableEntityError;
//# sourceMappingURL=422-unprocessable-entity.js.map