"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TooManyRequestsError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class TooManyRequestsError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `TOO_MANY_REQUESTS`,
            statusCode: 429,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Too Many Requests`;
        }
        super(message, options);
    }
}
exports.TooManyRequestsError = TooManyRequestsError;
//# sourceMappingURL=429-too-many-requests.js.map