"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotImplementedError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class NotImplementedError extends base_1.ServerError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `NOT_IMPLEMENTED`,
            statusCode: 501,
            decorateMessage: true,
            logMessage: true
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Not Implemented`;
        }
        super(message, options);
    }
}
exports.NotImplementedError = NotImplementedError;
//# sourceMappingURL=501-not-implemented.js.map