"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServiceUnavailableError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class ServiceUnavailableError extends base_1.ServerError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `SERVICE_UNAVAILABLE`,
            statusCode: 503,
            decorateMessage: true,
            logMessage: true
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Service Unavailable`;
        }
        super(message, options);
    }
}
exports.ServiceUnavailableError = ServiceUnavailableError;
//# sourceMappingURL=503-service-unavailable.js.map