"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InsufficientStorageError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class InsufficientStorageError extends base_1.ServerError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `INSUFFICIENT_STORAGE`,
            statusCode: 507,
            decorateMessage: true,
            logMessage: true
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Insufficient Storage`;
        }
        super(message, options);
    }
}
exports.InsufficientStorageError = InsufficientStorageError;
//# sourceMappingURL=507-insufficient-storage.js.map