"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BandwidthLimitExceededError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class BandwidthLimitExceededError extends base_1.ServerError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `BANDWIDTH_LIMIT_EXCEEDED`,
            statusCode: 509,
            decorateMessage: true,
            logMessage: true
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Bandwidth Limit Exceeded`;
        }
        super(message, options);
    }
}
exports.BandwidthLimitExceededError = BandwidthLimitExceededError;
//# sourceMappingURL=509-bandwidth-limit-exceeded.js.map