"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NetworkAuthenticationRequiredError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class NetworkAuthenticationRequiredError extends base_1.ServerError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `NETWORK_AUTHENTICATION_REQUIRED`,
            statusCode: 511,
            decorateMessage: true,
            logMessage: true
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Network Authentication Required`;
        }
        super(message, options);
    }
}
exports.NetworkAuthenticationRequiredError = NetworkAuthenticationRequiredError;
//# sourceMappingURL=511-network-authentication-required.js.map